Package org.multiverse.api.exceptions

## Class DeadTxnException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.multiverse.api.exceptions.TxnExecutionException
        - - org.multiverse.api.exceptions.IllegalTxnStateException
          - - org.multiverse.api.exceptions.DeadTxnException

- All Implemented Interfaces:
    `Serializable`

      public class DeadTxnException
      extends IllegalTxnStateException

  An `IllegalTxnStateException` thrown when an action is executed on a `Txn` that is either committed or aborted.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DeadTxnException()` | Creates a new DeadTxnException.
    `DeadTxnException​(String message)` | Creates a new DeadTxnException with the provided message.
    `DeadTxnException​(String message, Throwable cause)` | Creates a new DeadTxnException.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DeadTxnException

          public DeadTxnException()

      Creates a new DeadTxnException.

    - #### DeadTxnException

          public DeadTxnException​(String message)

      Creates a new DeadTxnException with the provided message.
      Parameters:
        `message` - the message of the exception.

    - #### DeadTxnException

          public DeadTxnException​(String message,
                                  Throwable cause)

      Creates a new DeadTxnException.
      Parameters:
        `message` - the message of the exception.
        `cause` - the cause of the exception.